Bug 965738 - PDF "ExtendedForm Authenticator" word incorrectly generated
PDF "ExtendedForm Authenticator" word incorrectly generated
Status: CLOSED CANTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Scott Mumford
Russell Dickenson
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 11:57 EDT by claudio
Modified: 2014-08-14 11:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-16 21:51:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description claudio 2013-05-21 11:57:29 EDT
There is some bug in the PDF generated text that it doesn't find the word (Ctrl+F in adobe reader) "ExtendedFormAuthenticator" but it finds "ExtendedForm Authenticator". However looking into the text I cannot see a space between them.

The word is contained in page 127 in a source code section.

https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/pdf/Security_Guide/JBoss_Enterprise_Application_Platform-6.1-Security_Guide-en-US.pdf

Work must be done to see if there are other words incorrectly generated.
Comment 2 Scott Mumford 2013-06-27 20:26:57 EDT
I downloaded the PDF from the provided link and was able to search for "ExtendedFormAuthenticator" successfully (found on page 127, as advised).

It's possible a rebuild of the document has corrected this issue. Referring to QA for confirmation.
Comment 3 Josef Cacek 2013-07-01 04:55:47 EDT
Verification failed for PDF from the documentation-devel.

PDF viewer integrated in Google Chrome searches correctly for "ExtendedFormAuthenticator", but Adobe Reader (v.9) requires "ExtendedForm Authenticator".

I don't know from where the problem comes, but there is at least one problem in the PDF. The "qdf --check" prints:
WARNING: JBoss_Enterprise_Application_Platform-6.1-Security_Guide-en-US.pdf (object 1677 0, file position 938226): expected endobj
Comment 4 Scott Mumford 2014-02-16 21:51:57 EST
Confirmed that the error still presents with Acroread 9.5.5.

Unfortunately this is not a bug that the documentation team can correct. It is arising from something in the build tool used to create the various documentation formats.

Raising a bug against Publican to see if this is correctable.

Unfortunately, checking to see if this presents with other terms is not feasible (as it would mean manually checking at least every Java term across the entire documentation suite against the PDF).
Comment 5 Scott Mumford 2014-02-16 21:57:13 EST
Bug 1065810 raised to query this with Publican team.

Note You need to log in before you can comment on or make changes to this bug.